petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSAdjointSetForward

Trigger the tangent linear solver and initialize the forward sensitivities

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointSetForward(TS ts,Mat didp)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| didp | - the derivative of initial values w.r.t. parameters

Notes: When computing sensitivies w.r.t. initial condition, set didp to NULL so that the solver will take it as an identity matrix mathematically. TSAdjoint does not reset the tangent linear solver automatically, TSAdjointResetForward() should be called to reset the tangent linear solver.

### See Also

TSSetCostHessianProducts(), TSAdjointResetForward()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c

### Examples

src/ts/tutorials/ex20opt_p.c.html
src/ts/tutorials/ex20opt_ic.c.html
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages